This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 550470 - pkgconfig bundles own copy of glib-1.2.10
pkgconfig bundles own copy of glib-1.2.10
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pkgconfig (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker 226299
  Show dependency treegraph
 
Reported: 2009-12-25 07:36 EST by Robert Scheck
Modified: 2010-05-23 21:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-23 21:21:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2009-12-25 07:36:15 EST
Description of problem:
The pkgconfig package bundles own copy of glib-1.2.10 in a subdirectory at
buildtime.

Version-Release number of selected component (if applicable):
pkgconfig-0.23-9

How reproducible:
Everytime, see above.

Actual results:
pkgconfig bundles own copy of glib-1.2.10.

Expected results:
No internal copy of glib as it violates the Fedora Packaging Guidelines.
Comment 1 Bug Zapper 2010-03-15 09:41:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Michel Alexandre Salim 2010-05-21 05:48:22 EDT
Matthias, mind if I work on it? Thanks.
Comment 3 Matthias Clasen 2010-05-23 21:21:07 EDT
I've switched to using system glib and popt for 0.24

Note You need to log in before you can comment on or make changes to this bug.